import '@nestjs/mapped-types'
import { ApiProperty } from '@nestjs/swagger'
import { IsString } from 'class-validator'

export class Token {
  @ApiProperty()
  accessToken: string
  @ApiProperty()
  refreshToken: string
}

export class TokenRefreshPayload {
  @IsString()
  refreshToken: string
}

export class TokenPayload {
  userId: string
}

export class TokenContnet extends TokenPayload {
  /** Issued at */
  iat: number
  /** Expiration time */
  exp: number
}
